function clear_cache(dirs) {
	console.log(dirs);
	Object.keys(require.cache)
		.filter(path => dirs.some(dir => path.includes(dir)))
		.forEach(path => {
			console.log("clearing cache for", path);
			delete require.cache[path];
		});
}

module.exports = clear_cache;
