const sass = require("node-sass");
const asset = require("./asset-loader");

module.exports = {
	"asset($dir, $path)": (dir, path, done) => {
		asset(dir.getValue())(path.getValue())
			.then(result => {
				done(new sass.types.String(result));
			})
			.catch(err => console.error(err));
	}
};
