const { execSync } = require("child_process");

function notify(icon, message, timeout = 2000) {
	try {
		execSync(
			`notify-send -i ${icon} '${message}' -t ${timeout} 2> /dev/null`
		);
	} catch (e) {
		console.error("could not notify");
	}
}

module.exports = notify;
