const fs = require("fs");
const { promisify } = require("util");

const exists = promisify(fs.access);

module.exports = async function(thePath) {
	try {
		await exists(thePath);
		return true;
	} catch (e) {
		return false;
	}
};
